curl --request GET \
--url https://staging.api.us.aptlydone.com/document/v1/documents/counts \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.us.aptlydone.com/document/v1/documents/counts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.us.aptlydone.com/document/v1/documents/counts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.api.us.aptlydone.com/document/v1/documents/counts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://staging.api.us.aptlydone.com/document/v1/documents/counts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://staging.api.us.aptlydone.com/document/v1/documents/counts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.api.us.aptlydone.com/document/v1/documents/counts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"statusCode": 200,
"timestamp": "2026-01-12T09:12:23.874Z",
"message": "Success",
"data": {
"active": 5,
"inactive": 10,
"favorites": 10,
"all": 15
}
}Count documents
curl --request GET \
--url https://staging.api.us.aptlydone.com/document/v1/documents/counts \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.us.aptlydone.com/document/v1/documents/counts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.us.aptlydone.com/document/v1/documents/counts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.api.us.aptlydone.com/document/v1/documents/counts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://staging.api.us.aptlydone.com/document/v1/documents/counts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://staging.api.us.aptlydone.com/document/v1/documents/counts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.api.us.aptlydone.com/document/v1/documents/counts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"statusCode": 200,
"timestamp": "2026-01-12T09:12:23.874Z",
"message": "Success",
"data": {
"active": 5,
"inactive": 10,
"favorites": 10,
"all": 15
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Tenant ID
"77b19af1-dbd7-4a5a-bcf2-de7ea8e992a5"
User ID for filtering
null
Comma separated Document Status values
Document search string
""
Comma separated Document Type IDs
null
Comma separated Oversight Status values
Comma separated Document Sharing Type values
Comma separated Document Owner IDs
null
Document isFavourite
"true"
allow document link for decision
"true"
allow document link for delegation
"true"
Comma separated Responsible User IDs
null
Comma separated Reviewer User IDs
null
Comma separated Approver User IDs
null
Document Upload Type/Source
Start date time for date range filter on document created at
"2025-03-05T11:49:50.577Z"
End date time for date range filter on document created at
"2025-03-05T11:49:50.577Z"
Start date time for date range filter on document updated at
"2025-03-05T11:49:50.577Z"
End date time for date range filter on document updated at
"2025-03-05T11:49:50.577Z"
Comma separated Document IDs already linked to decision/delegation (this is used to include already linked ARCHIVED documents in the list)
null
Response
Document counts retrieved successfully
Was this page helpful?